Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Console/3.3/HeuristicLab.Hive.Client.Console-3.3.csproj
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Console/3.3/HeuristicLab.Hive.Client.Console-3.3.csproj	(revision 4105)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Console/3.3/HeuristicLab.Hive.Client.Console-3.3.csproj	(revision 4107)
@@ -78,7 +78,4 @@
   </PropertyGroup>
   <ItemGroup>
-    <Reference Include="Calendar.DayView">
-      <HintPath>..\..\HeuristicLab.Hive.Contracts\3.3\Calendar.DayView.dll</HintPath>
-    </Reference>
     <Reference Include="HeuristicLab.PluginInfrastructure-3.3">
       <HintPath>..\..\..\..\..\..\..\..\..\Programme\HeuristicLab 3.3\HeuristicLab.PluginInfrastructure-3.3.dll</HintPath>
@@ -139,6 +136,8 @@
       <DesignTime>True</DesignTime>
     </Compile>
+    <None Include="app.config" />
     <None Include="HeuristicLab.snk" />
     <None Include="Properties\AssemblyInfo.frame" />
+    <None Include="Properties\DataSources\HeuristicLab.Calendar.Appointment.datasource" />
     <None Include="Properties\Settings.settings">
       <Generator>SettingsSingleFileGenerator</Generator>
@@ -163,4 +162,8 @@
   </ItemGroup>
   <ItemGroup>
+    <ProjectReference Include="..\..\HeuristicLab.Calendar\3.3\HeuristicLab.Calendar-3.3.csproj">
+      <Project>{D17A4D6A-4CAA-4470-8A19-F42463C021FD}</Project>
+      <Name>HeuristicLab.Calendar-3.3</Name>
+    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Hive.Contracts\3.3\HeuristicLab.Hive.Contracts-3.3.csproj">
       <Project>{134F93D7-E7C8-4ECD-9923-7F63259A60D8}</Project>
@@ -173,4 +176,7 @@
   <ItemGroup>
     <None Include="Resources\Info.png" />
+    <None Include="Service References\ClientService\HeuristicLab.Calendar.xsd">
+      <SubType>Designer</SubType>
+    </None>
     <None Include="Service References\ClientService\HeuristicLab.Hive.Client.Common.xsd" />
     <None Include="Service References\ClientService\HeuristicLab.Hive.Client.Core.ClientConsoleService.xsd" />
@@ -192,5 +198,4 @@
   </ItemGroup>
   <ItemGroup>
-    <None Include="app.config" />
     <None Include="Service References\ClientService\HeuristicLab.Hive.Client.Console.ClientService.ConnectionContainer.datasource">
       <DependentUpon>Reference.svcmap</DependentUpon>
@@ -219,5 +224,4 @@
   <ItemGroup>
     <None Include="Resources\exit-48.png" />
-    <None Include="Service References\ClientService\Calendar1.xsd" />
     <None Include="Service References\ClientService\System.Drawing1.xsd" />
   </ItemGroup>
Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Console/3.3/HiveClientConsole.Designer.cs
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Console/3.3/HiveClientConsole.Designer.cs	(revision 4105)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Console/3.3/HiveClientConsole.Designer.cs	(revision 4107)
@@ -681,5 +681,5 @@
     private System.Windows.Forms.Button btCreate;
     private System.Windows.Forms.MonthCalendar mcOnline;
-    private Calendar.DayView dvOnline;
+    private HeuristicLab.Calendar.DayView dvOnline;
     private System.Windows.Forms.Label label2;
     private System.Windows.Forms.Label label1;
Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Console/3.3/HiveClientConsole.cs
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Console/3.3/HiveClientConsole.cs	(revision 4105)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Console/3.3/HiveClientConsole.cs	(revision 4107)
@@ -28,5 +28,5 @@
 using System.ServiceModel;
 using System.Windows.Forms;
-using Calendar;
+using HeuristicLab.Calendar;
 using HeuristicLab.Hive.Client.Console.ClientService;
 using ZedGraph;
@@ -35,6 +35,5 @@
 using System.IO;
 
-namespace HeuristicLab.Hive.Client.Console
-{
+namespace HeuristicLab.Hive.Client.Console {
 
   #region Delegates
@@ -51,6 +50,5 @@
   #endregion
 
-  public partial class HiveClientConsole : Form
-  {
+  public partial class HiveClientConsole : Form {
 
     #region Declarations
@@ -79,6 +77,5 @@
     #region Constructor
 
-    public HiveClientConsole()
-    {
+    public HiveClientConsole() {
       InitializeComponent();
       InitTimer();
@@ -95,8 +92,6 @@
     #region Client connection
 
-    private void ConnectToClient()
-    {
-      try
-      {
+    private void ConnectToClient() {
+      try {
         clientCommunicator = new ClientConsoleCommunicatorClient(WcfSettings.GetBinding(), new EndpointAddress(ENDPOINTADRESS));
         clientCommunicator.GetStatusInfosCompleted += new EventHandler<GetStatusInfosCompletedEventArgs>(clientCommunicator_GetStatusInfosCompleted);
@@ -104,7 +99,5 @@
         clientCommunicator.GetUptimeCalendarCompleted += new EventHandler<GetUptimeCalendarCompletedEventArgs>(clientCommunicator_GetUptimeCalendarCompleted);
         clientCommunicator.SetUptimeCalendarCompleted += new EventHandler<System.ComponentModel.AsyncCompletedEventArgs>(clientCommunicator_SetUptimeCalendarCompleted);
-      }
-      catch (Exception ex)
-      {
+      } catch (Exception ex) {
         ManageFatalException("Connection Error, check if Hive Client is running!", "Connection Error", ex);
       }
@@ -115,6 +108,5 @@
     #region Logging
 
-    private void InitLogFileReader()
-    {
+    private void InitLogFileReader() {
       logFileReader = new LogFileReader(Environment.CurrentDirectory + @"/Hive.log");
       logFileReader.MoreData += new LogFileReader.MoreDataHandler(logFileReader_MoreData);
@@ -122,14 +114,11 @@
     }
 
-    private void logFileReader_MoreData(object sender, string newData)
-    {
+    private void logFileReader_MoreData(object sender, string newData) {
       int maxChars = txtLog.MaxLength;
-      if (newData.Length > maxChars)
-      {
+      if (newData.Length > maxChars) {
         newData = newData.Remove(0, newData.Length - maxChars);
       }
       int newLength = this.txtLog.Text.Length + newData.Length;
-      if (newLength > maxChars)
-      {
+      if (newLength > maxChars) {
         RemoveText(newLength, maxChars);
       }
@@ -137,26 +126,18 @@
     }
 
-    private void RemoveText(int newLength, int maxChars)
-    {
-      if (this.txtLog.InvokeRequired)
-      {
+    private void RemoveText(int newLength, int maxChars) {
+      if (this.txtLog.InvokeRequired) {
         this.txtLog.Invoke(new
           RemoveTextDelegate(RemoveText), new object[] { newLength, maxChars });
-      }
-      else
-      {
+      } else {
         this.txtLog.Text = this.txtLog.Text.Remove(0, newLength - (int)maxChars);
       }
     }
 
-    private void AppendText(string message)
-    {
-      if (this.txtLog.InvokeRequired)
-      {
+    private void AppendText(string message) {
+      if (this.txtLog.InvokeRequired) {
         this.txtLog.Invoke(new
           AppendTextDelegate(AppendText), new object[] { message });
-      }
-      else
-      {
+      } else {
         this.txtLog.AppendText(message);
       }
@@ -167,6 +148,5 @@
     #region Gui Refresh
 
-    private void InitTimer()
-    {
+    private void InitTimer() {
       refreshTimer = new System.Windows.Forms.Timer();
       refreshTimer.Interval = 1000;
@@ -175,18 +155,13 @@
     }
 
-    private void RefreshGui()
-    {
-      try
-      {
+    private void RefreshGui() {
+      try {
         clientCommunicator.GetStatusInfosAsync();
-      }
-      catch (Exception ex)
-      {
+      } catch (Exception ex) {
         ManageFatalException("Connection Error, check if Hive Client is running!", "Connection Error", ex);
       }
     }
 
-    private void UpdateGraph(StatusCommons sc)
-    {
+    private void UpdateGraph(StatusCommons sc) {
       ZedGraphControl zgc = new ZedGraphControl();
       GraphPane myPane = zgc.GraphPane;
@@ -208,5 +183,5 @@
       double done = 0;
 
-      
+
       /*if (jobs.Length == 0)
       {
@@ -220,9 +195,9 @@
         } */
 
-        //done = allProgress / jobs.Length;
-
-      myPane.AddPieSlice((sc.FreeCores / (double) sc.TotalCores), Color.Red, 0, "");
+      //done = allProgress / jobs.Length;
+
+      myPane.AddPieSlice((sc.FreeCores / (double)sc.TotalCores), Color.Red, 0, "");
       myPane.AddPieSlice(((sc.TotalCores - sc.FreeCores) / (double)sc.TotalCores), Color.Green, 0, "");
-     // }
+      // }
       //Hides the slice labels
       PieItem.Default.LabelType = PieLabelType.None;
@@ -235,6 +210,5 @@
     #region Events
 
-    private void refreshTimer_Tick(object sender, EventArgs e)
-    {
+    private void refreshTimer_Tick(object sender, EventArgs e) {
       RefreshGui();
     }
@@ -247,6 +221,5 @@
     #region Calendar stuff
 
-    private void InitCalender()
-    {
+    private void InitCalender() {
       dvOnline.StartDate = DateTime.Now;
       dvOnline.OnNewAppointment += new EventHandler<NewAppointmentEventArgs>(dvOnline_OnNewAppointment);
@@ -257,12 +230,9 @@
     }
 
-    private bool CreateAppointment()
-    {
+    private bool CreateAppointment() {
       DateTime from, to;
 
-      if (!string.IsNullOrEmpty(dtpFrom.Text) && !string.IsNullOrEmpty(dtpTo.Text))
-      {
-        if (chbade.Checked)
-        {
+      if (!string.IsNullOrEmpty(dtpFrom.Text) && !string.IsNullOrEmpty(dtpTo.Text)) {
+        if (chbade.Checked) {
           //whole day appointment, only dates are visible
           if (DateTime.TryParse(dtpFrom.Text, out from) && DateTime.TryParse(dtpTo.Text, out to) && from <= to)
@@ -270,17 +240,12 @@
           else
             MessageBox.Show("Incorrect date format", "Schedule Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
-        }
-        else if (!string.IsNullOrEmpty(txttimeFrom.Text) && !string.IsNullOrEmpty(txttimeTo.Text))
-        {
+        } else if (!string.IsNullOrEmpty(txttimeFrom.Text) && !string.IsNullOrEmpty(txttimeTo.Text)) {
           //Timeframe appointment
-          if (DateTime.TryParse(dtpFrom.Text + " " + txttimeFrom.Text, out from) && DateTime.TryParse(dtpTo.Text + " " + txttimeTo.Text, out to) && from < to)
-          {
+          if (DateTime.TryParse(dtpFrom.Text + " " + txttimeFrom.Text, out from) && DateTime.TryParse(dtpTo.Text + " " + txttimeTo.Text, out to) && from < to) {
             if (from.Date == to.Date)
               onlineTimes.Add(CreateAppointment(from, to, false));
-            else
-            {
+            else {
               //more than 1 day selected
-              while (from.Date != to.Date)
-              {
+              while (from.Date != to.Date) {
                 onlineTimes.Add(CreateAppointment(from, new DateTime(from.Year, from.Month, from.Day, to.Hour, to.Minute, 0, 0), false));
                 from = from.AddDays(1);
@@ -288,13 +253,10 @@
               onlineTimes.Add(CreateAppointment(from, new DateTime(from.Year, from.Month, from.Day, to.Hour, to.Minute, 0, 0), false));
             }
-          }
-          else
+          } else
             MessageBox.Show("Incorrect date format", "Schedule Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
         }
         dvOnline.Invalidate();
         return true;
-      }
-      else
-      {
+      } else {
         MessageBox.Show("Error in create appointment, please fill out all textboxes!", "Schedule Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
         return false;
@@ -302,6 +264,5 @@
     }
 
-    private Appointment CreateAppointment(DateTime startDate, DateTime endDate, bool allDay)
-    {
+    private Appointment CreateAppointment(DateTime startDate, DateTime endDate, bool allDay) {
       Appointment App = new Appointment();
       App.StartDate = startDate;
@@ -315,6 +276,5 @@
     }
 
-    private Appointment CreateAppointment(DateTime startDate, DateTime endDate, bool allDay, bool recurring, Guid recurringId)
-    {
+    private Appointment CreateAppointment(DateTime startDate, DateTime endDate, bool allDay, bool recurring, Guid recurringId) {
       Appointment App = new Appointment();
       App.StartDate = startDate;
@@ -329,16 +289,13 @@
     }
 
-    private void DeleteAppointment()
-    {
+    private void DeleteAppointment() {
       onlineTimes.Remove(dvOnline.SelectedAppointment);
     }
 
-    private void DeleteRecurringAppointment(Guid recurringId)
-    {
+    private void DeleteRecurringAppointment(Guid recurringId) {
       onlineTimes.RemoveAll(a => a.RecurringId.ToString() == dvOnline.SelectedAppointment.RecurringId.ToString());
     }
 
-    private void ChangeRecurrenceAppointment(Guid recurringId)
-    {
+    private void ChangeRecurrenceAppointment(Guid recurringId) {
       int hourfrom = int.Parse(txttimeFrom.Text.Substring(0, txttimeFrom.Text.IndexOf(':')));
       int hourTo = int.Parse(txttimeTo.Text.Substring(0, txttimeTo.Text.IndexOf(':')));
@@ -351,16 +308,13 @@
     }
 
-    public void DialogClosed(RecurrentEvent e)
-    {
+    public void DialogClosed(RecurrentEvent e) {
       CreateDailyRecurrenceAppointments(e.DateFrom, e.DateTo, e.AllDay, e.IncWeeks, e.WeekDays);
     }
 
-    private void CreateDailyRecurrenceAppointments(DateTime dateFrom, DateTime dateTo, bool allDay, int incWeek, HashSet<DayOfWeek> daysOfWeek)
-    {
+    private void CreateDailyRecurrenceAppointments(DateTime dateFrom, DateTime dateTo, bool allDay, int incWeek, HashSet<DayOfWeek> daysOfWeek) {
       DateTime incDate = dateFrom;
       Guid guid = Guid.NewGuid();
 
-      while (incDate.Date <= dateTo.Date)
-      {
+      while (incDate.Date <= dateTo.Date) {
         if (daysOfWeek.Contains(incDate.Date.DayOfWeek))
           onlineTimes.Add(CreateAppointment(incDate, new DateTime(incDate.Year, incDate.Month, incDate.Day, dateTo.Hour, dateTo.Minute, 0), allDay, true, guid));
@@ -373,13 +327,10 @@
     #region Calendar Events
 
-    private void btbDelete_Click(object sender, EventArgs e)
-    {
+    private void btbDelete_Click(object sender, EventArgs e) {
       Appointment selectedAppointment = dvOnline.SelectedAppointment;
-      if (dvOnline.SelectedAppointment != null)
-      {
+      if (dvOnline.SelectedAppointment != null) {
         if (!selectedAppointment.Recurring)
           DeleteAppointment();
-        else
-        {
+        else {
           DialogResult res = MessageBox.Show("Delete all events in this series?", "Delete recurrences", MessageBoxButtons.YesNo);
           if (res != DialogResult.Yes)
@@ -392,15 +343,12 @@
     }
 
-    private void chbade_CheckedChanged(object sender, EventArgs e)
-    {
+    private void chbade_CheckedChanged(object sender, EventArgs e) {
       txttimeFrom.Visible = !chbade.Checked;
       txttimeTo.Visible = !chbade.Checked;
     }
 
-    private void dvOnline_OnSelectionChanged(object sender, EventArgs e)
-    {
+    private void dvOnline_OnSelectionChanged(object sender, EventArgs e) {
       //btCreate.Enabled = true;
-      if (dvOnline.Selection == SelectionType.DateRange)
-      {
+      if (dvOnline.Selection == SelectionType.DateRange) {
         dtpFrom.Text = dvOnline.SelectionStart.ToShortDateString();
         dtpTo.Text = dvOnline.SelectionEnd.Date.ToShortDateString();
@@ -411,6 +359,5 @@
       }
 
-      if (dvOnline.Selection == SelectionType.Appointment)
-      {
+      if (dvOnline.Selection == SelectionType.Appointment) {
 
         dtpFrom.Text = dvOnline.SelectedAppointment.StartDate.ToShortDateString();
@@ -425,6 +372,5 @@
       }
 
-      if (dvOnline.Selection == SelectionType.None)
-      {
+      if (dvOnline.Selection == SelectionType.None) {
         //also change the caption of the save button
         btCreate.Text = "Save";
@@ -433,34 +379,24 @@
     }
 
-    private void mcOnline_DateChanged(object sender, DateRangeEventArgs e)
-    {
+    private void mcOnline_DateChanged(object sender, DateRangeEventArgs e) {
       dvOnline.StartDate = mcOnline.SelectionStart;
     }
 
-    private void btCreate_Click(object sender, EventArgs e)
-    {
-      if (dvOnline.Selection != SelectionType.Appointment)
-      {
+    private void btCreate_Click(object sender, EventArgs e) {
+      if (dvOnline.Selection != SelectionType.Appointment) {
         CreateAppointment();
-      }
-      else
-      {
+      } else {
         //now we want to change an existing appointment
-        if (!dvOnline.SelectedAppointment.Recurring)
-        {
+        if (!dvOnline.SelectedAppointment.Recurring) {
           if (CreateAppointment())
             DeleteAppointment();
-        }
-        else
-        {
+        } else {
           //change recurring appointment
           //check, if only selected appointment has to change or whole recurrence
           DialogResult res = MessageBox.Show("Change all events in this series?", "Change recurrences", MessageBoxButtons.YesNo);
-          if (res != DialogResult.Yes)
-          {
+          if (res != DialogResult.Yes) {
             if (CreateAppointment())
               DeleteAppointment();
-          }
-          else
+          } else
             ChangeRecurrenceAppointment(dvOnline.SelectedAppointment.RecurringId);
         }
@@ -469,6 +405,5 @@
     }
 
-    private void btnRecurrence_Click(object sender, EventArgs e)
-    {
+    private void btnRecurrence_Click(object sender, EventArgs e) {
       Recurrence recurrence = new Recurrence();
       recurrence.dialogClosedDelegate = new OnDialogClosedDelegate(this.DialogClosed);
@@ -476,11 +411,9 @@
     }
 
-    private void btnSaveCal_Click(object sender, EventArgs e)
-    {
+    private void btnSaveCal_Click(object sender, EventArgs e) {
       clientCommunicator.SetUptimeCalendarAsync(onlineTimes.ToArray());
     }
 
-    private void dvOnline_OnResolveAppointments(object sender, ResolveAppointmentsEventArgs e)
-    {
+    private void dvOnline_OnResolveAppointments(object sender, ResolveAppointmentsEventArgs e) {
       List<Appointment> Apps = new List<Appointment>();
 
@@ -496,6 +429,5 @@
     }
 
-    private void dvOnline_OnNewAppointment(object sender, NewAppointmentEventArgs e)
-    {
+    private void dvOnline_OnNewAppointment(object sender, NewAppointmentEventArgs e) {
       Appointment Appointment = new Appointment();
 
@@ -512,29 +444,20 @@
     #region Client communicator events
 
-    void clientCommunicator_SetUptimeCalendarCompleted(object sender, System.ComponentModel.AsyncCompletedEventArgs e)
-    {
-      if (e.Error == null)
-      {
+    void clientCommunicator_SetUptimeCalendarCompleted(object sender, System.ComponentModel.AsyncCompletedEventArgs e) {
+      if (e.Error == null) {
         MessageBox.Show("Calendar successfully saved!", "Calender", MessageBoxButtons.OK, MessageBoxIcon.Information);
-      }
-      else
-      {
+      } else {
         MessageBox.Show("Error saving calender \n" + e.Error.ToString(), "Calender", MessageBoxButtons.OK, MessageBoxIcon.Error);
       }
     }
 
-    void clientCommunicator_GetUptimeCalendarCompleted(object sender, GetUptimeCalendarCompletedEventArgs e)
-    {
-      if (e.Error == null)
-      {
-        if (e.Result != null)
-        {
+    void clientCommunicator_GetUptimeCalendarCompleted(object sender, GetUptimeCalendarCompletedEventArgs e) {
+      if (e.Error == null) {
+        if (e.Result != null) {
           onlineTimes = e.Result.ToList<Appointment>();
           onlineTimes.ForEach(a => a.BorderColor = Color.Red);
           dvOnline.Invalidate();
 
-        }
-        else
-        {
+        } else {
           onlineTimes = new List<Appointment>();
         }
@@ -542,22 +465,16 @@
     }
 
-    private void clientCommunicator_GetCurrentConnectionCompleted(object sender, GetCurrentConnectionCompletedEventArgs e)
-    {
-      if (e.Error == null)
-      {
+    private void clientCommunicator_GetCurrentConnectionCompleted(object sender, GetCurrentConnectionCompletedEventArgs e) {
+      if (e.Error == null) {
         ConnectionContainer curConnection = e.Result;
         tbIPAdress.Text = curConnection.IPAdress;
         tbPort.Text = curConnection.Port.ToString();
-      }
-      else
-      {
+      } else {
         ManageFatalException("Connection Error, check if Hive Client is running!", "Connection Error", null);
       }
     }
 
-    private void clientCommunicator_GetStatusInfosCompleted(object sender, GetStatusInfosCompletedEventArgs e)
-    {
-      if (e.Error == null)
-      {
+    private void clientCommunicator_GetStatusInfosCompleted(object sender, GetStatusInfosCompletedEventArgs e) {
+      if (e.Error == null) {
         StatusCommons sc = e.Result;
 
@@ -572,10 +489,8 @@
         ListViewItem curJobStatusItem;
 
-        if (sc.Jobs != null)
-        {
+        if (sc.Jobs != null) {
           lvJobDetail.Items.Clear();
           double progress;
-          foreach (JobStatus curJob in sc.Jobs)
-          {
+          foreach (JobStatus curJob in sc.Jobs) {
             curJobStatusItem = new ListViewItem(curJob.JobId.ToString());
             curJobStatusItem.SubItems.Add(curJob.Since.ToString());
@@ -589,28 +504,21 @@
         UpdateGraph(sc);
 
-        if (sc.Status == NetworkEnumWcfConnState.Connected || sc.Status == NetworkEnumWcfConnState.Loggedin)
-        {
+        if (sc.Status == NetworkEnumWcfConnState.Connected || sc.Status == NetworkEnumWcfConnState.Loggedin) {
           btConnect.Enabled = false;
           btnDisconnect.Enabled = true;
           lbCs.Text = sc.ConnectedSince.ToString();
           clientCommunicator.GetCurrentConnectionAsync();
-        }
-        else if (sc.Status == NetworkEnumWcfConnState.Disconnected)
-        {
+        } else if (sc.Status == NetworkEnumWcfConnState.Disconnected) {
+          btConnect.Enabled = true;
+          btnDisconnect.Enabled = false;
+          lbCs.Text = String.Empty;
+        } else if (sc.Status == NetworkEnumWcfConnState.Failed) {
           btConnect.Enabled = true;
           btnDisconnect.Enabled = false;
           lbCs.Text = String.Empty;
         }
-        else if (sc.Status == NetworkEnumWcfConnState.Failed)
-        {
-          btConnect.Enabled = true;
-          btnDisconnect.Enabled = false;
-          lbCs.Text = String.Empty;
-        }
 
         clientCommunicator.GetCurrentConnection();
-      }
-      else
-      {
+      } else {
         ManageFatalException("Connection Error, check if Hive Client is running!", "Connection Error", null);
       }
@@ -620,8 +528,6 @@
 
     #region Exception
-    private void ManageFatalException(string body, string caption, Exception e)
-    {
-      if (!isfired)
-      {
+    private void ManageFatalException(string body, string caption, Exception e) {
+      if (!isfired) {
         isfired = true;
         refreshTimer.Stop();
@@ -638,31 +544,24 @@
     #region GUI Events
 
-    private void btConnect_Click(object sender, EventArgs e)
-    {
+    private void btConnect_Click(object sender, EventArgs e) {
       IPAddress ipAdress;
       int port;
       ConnectionContainer cc = new ConnectionContainer();
-      if (IPAddress.TryParse(tbIPAdress.Text, out ipAdress) && int.TryParse(tbPort.Text, out port))
-      {
+      if (IPAddress.TryParse(tbIPAdress.Text, out ipAdress) && int.TryParse(tbPort.Text, out port)) {
         cc.IPAdress = tbIPAdress.Text;
         cc.Port = port;
         clientCommunicator.SetConnectionAsync(cc);
-      }
-      else
-      {
+      } else {
         MessageBox.Show("IP Adress and/or Port Error", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
       }
     }
 
-    private void btnDisconnect_Click(object sender, EventArgs e)
-    {
+    private void btnDisconnect_Click(object sender, EventArgs e) {
       clientCommunicator.DisconnectAsync();
     }
 
-    private void btn_clientShutdown_Click(object sender, EventArgs e)
-    {
+    private void btn_clientShutdown_Click(object sender, EventArgs e) {
       DialogResult res = MessageBox.Show("Do you really want to shutdown the Hive Client?", "Hive Client Console", MessageBoxButtons.YesNo, MessageBoxIcon.Question);
-      if (res == DialogResult.Yes)
-      {
+      if (res == DialogResult.Yes) {
         logFileReader.Stop();
         clientCommunicator.ShutdownClient();
@@ -671,6 +570,5 @@
     }
 
-    private void Connection_KeyPress(object sender, KeyPressEventArgs e)
-    {
+    private void Connection_KeyPress(object sender, KeyPressEventArgs e) {
       if (e.KeyChar == (char)Keys.Return)
         btConnect_Click(null, null);
Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Console/3.3/HiveClientConsolePlugin.cs
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Console/3.3/HiveClientConsolePlugin.cs	(revision 4105)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Console/3.3/HiveClientConsolePlugin.cs	(revision 4107)
@@ -27,8 +27,9 @@
 
 namespace HeuristicLab.Grid {
-  [Plugin("HeuristicLab.Hive.Client.Console-3.3")]
+  [Plugin("HeuristicLab.Hive.Client.Console", "3.3")]
   [PluginFile("HeuristicLab.Hive.Client.Console-3.3.dll", PluginFileType.Assembly)]
-  [PluginDependency("HeuristicLab.Core-3.3")]
-  [PluginDependency("HeuristicLab.Hive.Contracts-3.3")]
+  [PluginDependency("HeuristicLab.Calendar", "3.3")]
+  [PluginDependency("HeuristicLab.Core", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Contracts", "3.3")]
   public class HeuristicLabHiveClientConsolePlugin : PluginBase {
   }
Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Console/3.3/Service References/ClientService/HeuristicLab.Calendar.xsd
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Console/3.3/Service References/ClientService/HeuristicLab.Calendar.xsd	(revision 4107)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Console/3.3/Service References/ClientService/HeuristicLab.Calendar.xsd	(revision 4107)
@@ -0,0 +1,32 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<xs:schema xmlns:ser="http://schemas.microsoft.com/2003/10/Serialization/" xmlns:tns="http://schemas.datacontract.org/2004/07/HeuristicLab.Calendar" elementFormDefault="qualified" targetNamespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Calendar" xmlns:xs="http://www.w3.org/2001/XMLSchema">
+  <xs:import namespace="http://schemas.datacontract.org/2004/07/System.Drawing" />
+  <xs:import namespace="http://schemas.microsoft.com/2003/10/Serialization/" />
+  <xs:complexType name="ArrayOfAppointment">
+    <xs:sequence>
+      <xs:element minOccurs="0" maxOccurs="unbounded" name="Appointment" nillable="true" type="tns:Appointment" />
+    </xs:sequence>
+  </xs:complexType>
+  <xs:element name="ArrayOfAppointment" nillable="true" type="tns:ArrayOfAppointment" />
+  <xs:complexType name="Appointment">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="AllDayEvent" type="xs:boolean" />
+      <xs:element minOccurs="0" name="AppointmentId" type="xs:int" />
+      <xs:element xmlns:q1="http://schemas.datacontract.org/2004/07/System.Drawing" minOccurs="0" name="BorderColor" type="q1:Color" />
+      <xs:element xmlns:q2="http://schemas.datacontract.org/2004/07/System.Drawing" minOccurs="0" name="Color" type="q2:Color" />
+      <xs:element minOccurs="0" name="DrawBorder" type="xs:boolean" />
+      <xs:element minOccurs="0" name="EndDate" type="xs:dateTime" />
+      <xs:element minOccurs="0" name="Group" nillable="true" type="xs:string" />
+      <xs:element minOccurs="0" name="Layer" type="xs:int" />
+      <xs:element minOccurs="0" name="Location" nillable="true" type="xs:string" />
+      <xs:element minOccurs="0" name="Locked" type="xs:boolean" />
+      <xs:element minOccurs="0" name="Note" nillable="true" type="xs:string" />
+      <xs:element minOccurs="0" name="Recurring" type="xs:boolean" />
+      <xs:element minOccurs="0" name="RecurringId" type="ser:guid" />
+      <xs:element minOccurs="0" name="StartDate" type="xs:dateTime" />
+      <xs:element minOccurs="0" name="Subject" nillable="true" type="xs:string" />
+      <xs:element xmlns:q3="http://schemas.datacontract.org/2004/07/System.Drawing" minOccurs="0" name="TextColor" type="q3:Color" />
+    </xs:sequence>
+  </xs:complexType>
+  <xs:element name="Appointment" nillable="true" type="tns:Appointment" />
+</xs:schema>
Index: branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Console/3.3/Service References/ClientService/HeuristicLab.Hive.Client.Core.ClientConsoleService.xsd
===================================================================
--- branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Console/3.3/Service References/ClientService/HeuristicLab.Hive.Client.Core.ClientConsoleService.xsd	(revision 4105)
+++ branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Client.Console/3.3/Service References/ClientService/HeuristicLab.Hive.Client.Core.ClientConsoleService.xsd	(revision 4107)
@@ -1,4 +1,4 @@
 ﻿<?xml version="1.0" encoding="utf-8"?>
-<xs:schema xmlns:tns="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Client.Core.ClientConsoleService" xmlns:ser="http://schemas.microsoft.com/2003/10/Serialization/" elementFormDefault="qualified" targetNamespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Client.Core.ClientConsoleService" xmlns:xs="http://www.w3.org/2001/XMLSchema">
+<xs:schema xmlns:ser="http://schemas.microsoft.com/2003/10/Serialization/" xmlns:tns="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Client.Core.ClientConsoleService" elementFormDefault="qualified" targetNamespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Client.Core.ClientConsoleService" xmlns:xs="http://www.w3.org/2001/XMLSchema">
   <xs:import namespace="http://schemas.microsoft.com/2003/10/Serialization/" />
   <xs:import namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Client.Common" />
